package cn.com.tenlion.materialstore.pojo.vos.materialphoto;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MaterialPhotoVO
 * @Description: 图片素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 11:04:34
 * @Version: 3.0
 **/
@ApiModel
public class MaterialPhotoVO {

    @ApiModelProperty(name = "materialPhotoFileId", value = "图片文件ID")
    private String materialPhotoFileId;
    @ApiModelProperty(name = "materialId", value = "素材包ID")
    private String materialId;
    @ApiModelProperty(name = "materialOrder", value = "排序")
    @CheckNumberAnnotation(name = "排序")
    private Integer materialOrder;
    @ApiModelProperty(name = "materialRemark", value = "备注")
    private String materialRemark;
    @ApiModelProperty(name = "materialGroupOrder", value = "图片组排序")
    private Integer materialGroupOrder;
    @ApiModelProperty(name = "materialViewMode", value = "图片展示模式1:纵向,2:九宫格,3:轮播")
    private Integer materialViewMode;

    public Integer getMaterialGroupOrder() {
        return materialGroupOrder;
    }

    public void setMaterialGroupOrder(Integer materialGroupOrder) {
        this.materialGroupOrder = materialGroupOrder;
    }

    public Integer getMaterialViewMode() {
        return materialViewMode;
    }

    public void setMaterialViewMode(Integer materialViewMode) {
        this.materialViewMode = materialViewMode;
    }

    public String getMaterialPhotoFileId() {
        return materialPhotoFileId == null ? "" : materialPhotoFileId.trim();
    }

    public void setMaterialPhotoFileId(String materialPhotoFileId) {
        this.materialPhotoFileId = materialPhotoFileId;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }


}
